Page MenuHomePhabricator

the message articlefeedbackv5-disable-flyover-help-location is poorly placed and not needed anyway
Closed, ResolvedPublic

Description

There are two problems with the message articlefeedbackv5-disable-flyover-help-location:

  1. As it is currently, it consists of two messages which are available in the core already: "My preferences" is 'mypreferences' and "Appearance" is 'prefs-rendering'. It can therefore be removed, and the existing messages can be used instead.
  1. Along with 'Articlefeedbackv5-disable-flyover-help-goto', this is a "lego message" - they are combined together in code. This may be a problem for languages with different word order, for example, languages in which "to" comes after the location. It can also pose other problems. It should be considered to combine this message as a parameter in 'Articlefeedbackv5-disable-flyover-help-goto', as it is already done with 'articlefeedbackv5-disable-flyover-help-emphasis-text'.

Version: unspecified
Severity: normal

Details

Reference
bz35288

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 12:12 AM
bzimport added projects: ArticleFeedbackv5, I18n.
bzimport set Reference to bz35288.
Amire80 created this task.Mar 17 2012, 9:30 PM

... And it looks like 'Articlefeedbackv5-disable-flyover-help-direction' is lego, too.

reha wrote:

Lego message has been rewritten. Issue with core messages still present.

Related URL: https://gerrit.wikimedia.org/r/62808 (Gerrit Change I195eb8e19818ad4564da0d8c3216a1544c6f8138)

Jdforrester-WMF closed this task as Declined.Mar 5 2015, 10:03 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

All development work on AbuseFilter v.5 (and indeed, previous versions) is halted. The project is archived, so having open tasks is inappropriate. Consequently, I'm closing all tasks.

SamanthaNguyen reopened this task as Open.Jan 5 2017, 10:01 AM
SamanthaNguyen moved this task from Backlog to i18n on the ArticleFeedbackv5 board.
SamanthaNguyen added subscribers: ashley, SamanthaNguyen.

Reinvestigating per T146253

ashley closed this task as Resolved.Mar 13 2019, 1:44 AM
ashley removed a project: Patch-For-Review.

Re-closing this as resolved since the aforementioned patch was already merged and as far as I can see, the issues mentioned here are fixed. Should any further i18n-related or other issues pop up, new, separate tickets can be opened for those.